
//Rutina de lectura de ficheros TGA (sin comprimir). Utiliza la estructura BITMAP
//definida en el fichero 'bitmap.h'

BITMAP  ReadTGA(char *Src)
{
        BITMAP  ret;
        uword   *SrcW;
        char    *src;
        char    *dst;
        int     x,y;
        int     mx;
        
        SrcW=(uword *) Src;

        ret.Width=*(SrcW+6);
        ret.Height=*(SrcW+7);
        ret.Size=ret.Width*ret.Height*3;
        ret.Src=(char *) malloc(ret.Size);
        mx=ret.Width*3;
        dst=(char *) (ret.Src+ret.Height*mx-mx);
        src=Src;
        src+=18;

        for(y=0;y<ret.Height;y++){
                for(x=0;x<mx;x++){
                        (*dst)=(*src);
                        src++;
                        dst++;
                }
                dst-=mx*2;
        }
        return(ret);
}

//  Rutinas para leer ficheros del disco duro

long filesize(FILE *stream)
{
   long curpos, length;

   curpos = ftell(stream);
   fseek(stream, 0L, SEEK_END);
   length = ftell(stream);
   fseek(stream, curpos, SEEK_SET);
   return length;
}

void GetHDData(char *src, unsigned char **dst)
{
 FILE *ftemp;
 ftemp = fopen(src,"rb");
 if (ftemp==NULL)
 {
     Set_Mode(0x3);
     printf ("File %s not found!\n",src);
     exit(1);
 }
 *dst = (unsigned char *)malloc(filesize(ftemp));
 fread(*dst,filesize(ftemp),1,ftemp);
 fclose(ftemp);
}


